mixin main-nav(data)
    block vars
    .main-nav
        for item, index in data
            if item.link == currentUrl
                - item.mod = 'main-nav__item_active'
            else
                - item.mod = ''
            .main-nav__item(class=item.mod)
                if item.linkAdd
                    a.main-nav__add(href=item.linkAdd title=item.linkAddTitle)
                        .icon.icon_m
                            svg
                                use(xlink:href='#icon_plus_24')
                a.main-nav__link(href=item.link)
                    .main-nav__title=item.title
                    if item.count
                        .main-nav__count=item.count
